from decimal import Context
from django.views import View, generic
from django.shortcuts import render
from django.contrib.auth.views import LoginView, LogoutView
from django.db import connection as conn
from django.core import serializers


# Create your views here.
class CustomLoginView(LoginView):
    template_name = 'user/login.html'
    redirect_authenticated_user = True

class HomeView(View):
    template_name = 'layout/layout.html'

    def get(self, request):
        return render(request, self.template_name)

class CustomLogoutView(LogoutView):
    template_name = 'user/login.html'
    next_page = 'login'

class Usermanagement(generic.TemplateView):
    template_name = "layout/user_layout.html"
    
    def get(self, request):
        with conn.cursor() as userlist_:
            userlist_.execute("SELECT * from auth_user")
            allUser = userlist_.fetchall()

        
        user_res = []
        for rows in allUser:
            datas = {
                "id": rows[0],
                "username": rows[4],
                "name": rows[5] +" "+ rows[6],
                "email": rows[7],
                "isactive": rows[9],
                "last login": rows[2] 
            }
            user_res.append(datas)

        
        context = {
            'title' : 'user management',
            'data'  : user_res
        } 
        return render(request, self.template_name, context)

